#
# spec file for package python-clikit
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?sle15_python_module_pythons}
Name:           python-clikit
Version:        0.6.2
Release:        3.8
Summary:        Helper to build testable command line interfaces
License:        MIT
URL:            https://github.com/sdispater/clikit
Source:         %{URL}/archive/%{version}.tar.gz#/clikit-%{version}.tar.gz
BuildRequires:  %{python_module crashtest}
BuildRequires:  %{python_module pastel >= 0.2.0}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module pylev >= 1.3}
BuildRequires:  %{python_module pytest >= 4.0}
BuildRequires:  %{python_module pytest-mock >= 2.0.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-crashtest
Requires:       python-pastel >= 0.2.0
Requires:       python-pylev >= 1.3
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-enum34 >= 1.1
%endif
%ifpython2
Requires:       python-enum34 >= 1.1
%endif
%python_subpackages

%description
CliKit is a group of utilities to build beautiful and testable
command line interfaces.

%prep
%setup -q -n clikit-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/clikit
%{python_sitelib}/clikit-%{version}.dist-info

%changelog
* Thu Jul  6 2023 ecsos <ecsos@opeensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Oct 20 2020 Dan Čermák <dcermak@suse.com>
  Skip python2: poetry no longer works with python2 thereby breaking this package on Leap.
* Thu Oct  8 2020 Benjamin Greiner <code@bnavigator.de>
- dephell incorrectly converts the typing-extension dependency
  marker. Use upstreams install method pip with poetry.core backend
  instead
* Sun Jul 12 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v0.6.2
  * Fixed an error in the package's metadata causing errors on Python 3.5.
- from v0.6.1
  * Progress bars will now update at most every 100ms by default.
    This is configurable via the min_seconds_between_redraws() method
  * Progress bars and indicators now accept an Output instance as well as
    an IO instance. If an IO instance is passed the error output will be used
  * Slightly changed the exception trace rendering
  * Fixed an error where choices questions accepted negative choices
- from v0.6.0
  * Support for error solutions
  * Ability to ignore files in the stack trace
  * The stack trace will now be displayed above the actual error, so that
    the error is visible immediately and the read flow of the stack trace
    is more natural
  * Fixed the coloring of the code snippets of the stack trace for tokens
    that span multiple lines
- from v0.5.1
  * Improved the error message display for multiline messages
- from v0.5.0
  * Errors are now rendered in a nicer way for Python 3.6+
- from v0.4.3
  * Fixed encoding errors in questions for Python 2.7
* Mon Mar 23 2020 Matej Cepl <mcepl@suse.com>
- Add macro %%dephell_genspec to generate setup.py
* Sun Mar 15 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.2:
  * Fixed the terminal width being set to 0 in some circumstances (#15).
  * Fixed the comptibility with the latest version of pastel (#10).
* Tue Jan 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.1:
  * minor fixes
* Thu Nov 28 2019 Matej Cepl <mcepl@suse.com>
- Update to 0.4.0:
  - Changed the way event names are stored and exposed.
  - Fixed parsing of options after a -- token.
* Wed Oct  9 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.2:
  * Fixed handling of KeyboardInterrupt exceptions.
* Sun May 19 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.2.4
